EDIT - feature request #7590

findByTitleWithRestrictions allows combining Restrictions by OR
07/26/2018 02:35 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal

Description

see #7572#note-2 for details

Related issues:

Related to EDIT - feature request #7598: Grouping of Restrictions implemented New
Related to EDIT - bug #7617: Specimen TypesDesignations Editor - aus dem Edit... Closed
Blocks EDIT - feature request #7572: SpecimenTypeDesignationEditor: Collectio... Closed

Associated revisions

Revision e0dcd1d7 - 07/27/2018 08:50 AM - Andreas Kohlbecker

ref #7590 implementing AND and OR operator for restrictions and harmonizing code

Revision c696d82c - 07/27/2018 08:50 AM - Andreas Kohlbecker
ref #7590 replacing not flag in restrictions by AND_NOT and OR_NOT operators

Revision e9ad2b59 - 07/27/2018 11:15 AM - Andreas Kohlbecker

ref #7590 documentation

Revision def2a398 - 08/03/2018 07:45 PM - Andreas Kohlbecker

ref #7590 fixing join types for restriction operations

History

#1 - 07/26/2018 02:36 PM - Andreas Kohlbecker

- Description updated

#2 - 07/26/2018 02:37 PM - Andreas Kohlbecker

- Blocks feature request #7572: SpecimenTypeDesignationEditor: Collection combobox shows collection.code and collection.institution added

#3 - 07/27/2018 08:40 AM - Andreas Kohlbecker
- Status changed from New to In Progress

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

#4 - 07/27/2018 01:53 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

#5 - 07/30/2018 09:29 AM - Andreas Kohlbecker

- Related to feature request #7598: Grouping of Restrictions implemented added

#6 - 08/03/2018 07:52 PM - Andreas Kohlbecker

- Related to bug #7617: Specimen TypesDesignations Editor - aus dem Editor heraus neu angelegter CollectionCode nicht auswéhlbar added

#7 - 08/17/2018 12:17 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
- % Done changed from 50 to 100

this feature obviously works as expected on the test-server since it is being used in cdm-vaadin and it is covered by tests
